# Ventilation configuration.
# Ventilation flow rates are in l/s.
# The Building regulations require a minimum whole house ventilation rate of
# 30l/s for 100m² floor area. According to my calculations, two people at rest
# need 22l/s, so 30l/s should be enough and hopefully achievable with the
# chimney and kitchen ventilator blocked off.
# I'm assuming that air comes into the house via the ground floor rooms, flows
# through the stairwell and landing to the bedrooms, and hence back to the
# outside.
# Total volume of the rooms is about 220m³. 30l/s is equivalent to 108m³/hour. So I am
# assuming about 0.5 air changes per hour.
# TODO: change 'totalflow' to be 30, and divide all 'rate' figures by 30.
ventilation:
  totalflow: 30.0
  flows:
    - from: outside
      to: Lounge
      rate: 0.13
    - from: outside
      to: LoungeCorner
      rate: 0.13
    - from: outside
      to: DiningRoom
      rate: 0.17
    - from: outside
      to: Kitchen
      rate: 0.14
    - from: outside
      to: BackRoom
      rate: 0.17
    - from: outside
      to: Study
      rate: 0.10
    - from: outside
      to: Hall
      rate: 0.13
    - from: outside
      to: Bathroom
      rate: 0.03

    - from: LoungeCorner
      to: Lounge
      rate: 0.13

    - from: Lounge
      to: LoungeEntrance
      rate: 0.43

    - from: DiningRoom
      to: Lounge
      rate: 0.17
    - from: Study
      to: Hall
      rate: 0.10

    - from: BackRoom
      to: InnerHall
      rate: 0.17
    - from: Bathroom
      to: InnerHall
      rate: 0.03

    - from: InnerHall
      to: Stairwell
      rate: 0.20
    - from: Hall
      to: Stairwell
      rate: 0.23
    - from: LoungeEntrance
      to: Stairwell
      rate: 0.43
    - from: Kitchen
      to: Stairwell
      rate: 0.14

    - from: Stairwell
      to: Landing
      rate: 1.00
    - from: Landing
      to: FrontBedroom
      rate: 0.33
    - from: Landing
      to: BackBedroom
      rate: 0.67

    - from: FrontBedroom
      to: outside
      rate: 0.33
    - from: BackBedroom
      to: outside
      rate: 0.40
    - from: BackBedroom
      to: Ensuite
      rate: 0.27
    - from: Ensuite
      to: outside
      rate: 0.27
